#
# spec file for package pygdmod (Version 0.22)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 gd gd-devel python python-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gd gd-devel gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps python python-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         pygdmod
Copyright:    (c) 1995 Richard Jones, Bureau of Meteorology Australia.
Group:        Development/Languages/Python
Provides:     gdmodule.so 
Requires:     python
Autoreqprov:  on
Summary:      Python interface to the GD library
Version:      0.22
Release:      382
Source:       gdmodule.c
Source1:      gd-ref.html
Patch:        TanimotoOsamu.patch
Patch1:       gd-ref.patch

%description
GD module is an interface to the GD library written by Thomas Bouttel.
'It allows your code to quickly draw images complete with lines, arcs,
text, multiple colors, cut and paste from other images, and flood fills,
and write out the result as a .PNG file. This is particularly useful in
World Wide Web applications, where .PNG is the format used for
inline images.'
It has been extended in some ways from the original GD library.

Authors:
--------
    richard.jones@bom.gov.au

SuSE series: d

%prep
%setup -c -T
cp $RPM_SOURCE_DIR/gdmodule.c .
cp $RPM_SOURCE_DIR/gd-ref.html .
%patch
%patch1

%build
test -f /usr/lib/python/config/Makefile.pre.in || {
cat <<'ERROR'
 *** Sorry, but I want installed python to compile the module!!
ERROR
exit 1
}
cp /usr/lib/python/config/Makefile.pre.in .
#*noconfig*
cat <<'EOF' > Setup.in
*shared*
gd  gdmodule.c -L/usr/lib -I/usr/include/gd -lgd
EOF
make -f Makefile.pre.in boot
make "OPT=$RPM_OPT_FLAGS"

%install
export OPT="$RPM_OPT_FLAGS"
export RPM_BUILD_ROOT
export site_path=`python -c 'import site; print site.sitedirs[0];'`
install -m 755 gdmodule.so    $RPM_BUILD_ROOT/${site_path}

%files
%doc gd-ref.html
%{_prefix}/lib/python?.?/site-packages/gdmodule.so

%changelog -n pygdmod
* Tue Sep 04 2001 - rvasice@suse.cz
- added patch from Tanimoto Osamu GIF -> PNG
* Thu Mar 22 2001 - ro@suse.de
- added freetype2 for gd in neededforbuild
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Mon Oct 30 2000 - kukuk@suse.de
- fix typo
* Sun Oct 29 2000 - kukuk@suse.de
- python-devel added to neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May 25 1999 - mt@suse.de
- new version 0.22 for GD library (version 1.2/1.3)
